# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::VertexMapper Class Reference

Generates a set of new vertices from the old one. More...

`#include <DoubleVertexRemover.hpp>`

Inheritance diagram for vl::VertexMapper:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
ref< ArrayAbstract > | regenerate (ArrayAbstract *data, const std::vector< unsigned int > &map_new_to_old) const
| Regenerates a new Array based on the given mapping.

## Detailed Description

Generates a set of new vertices from the old one.

## Member Function Documentation

virtual const char* vl::VertexMapper::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Reimplemented in vl::DoubleVertexRemover.

ref< ArrayAbstract > VertexMapper::regenerate | ( | ArrayAbstract * | data,
|  | const std::vector< unsigned int > & | map_new_to_old |
| ) |  |  | const

Regenerates a new Array based on the given mapping.

data The array to be regenerated map_new_to_old Specifies the mapping from the old vetices to the new one. The `i-th` vertex of the new vertex array will use the `map_new_to_old`[i]-th vertex of the old array, that is, `map_new_to_old`[i] specifies the old vertex to be used to generate the new `i-th` vertex.

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/DoubleVertexRemover.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/DoubleVertexRemover.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:45 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.